### Method

# GdkX11 X11Surfaceset_frame_sync_enabled

#### Declaration [src]

    void
    gdk_x11_surface_set_frame_sync_enabled (
      GdkSurface* surface,
      gboolean frame_sync_enabled
    )

#### Description [src]

This function can be used to disable frame synchronization for a surface. Normally frame synchronziation will be enabled or disabled based on whether the system has a compositor that supports frame synchronization, but if the surface is not directly managed by the window manager, then frame synchronziation may need to be disabled. This is the case for a surface embedded via the XEMBED protocol.

#### Parameters

`frame_sync_enabled`

  Type: `gboolean`

  Whether frame-synchronization should be enabled.